//-----------------------------------------------------------------------
//	Java m_indexed Serialization Package
//  ----------------------------------
//  SerialObjectInputStream.java
//-----------------------------------------------------------------------
//
//  COPYRIGHT NOTICE, DISCLAIMER, and LICENSE:
//  
//  If you modify this file, you may insert additional notices
//  immediately following this sentence.
//  
//  Copyright 2003 Scott Robert Ladd.
//  All rights reserved, except as noted herein.
//
//  Based on an idea submitted by Rickard Oberg.
//  
//  This computer program source file is supplied "AS IS". Scott Robert
//  Ladd (hereinafter referred to as "Author") disclaims all warranties,
//  expressed or implied, including, without limitation, the warranties
//  of merchantability and of fitness for any purpose. The Author
//  assumes no liability for direct, indirect, incidental, special,
//  exemplary, or consequential damages, which may result from the use
//  of this software, even if advised of the possibility of such damage.
//  
//  The Author hereby grants anyone permission to use, copy, modify, and
//  distribute this source code, or portions hereof, for any legal purpose,
//  without fee, subject to the following restrictions:
//  
//      1. The origin of this source code must not be misrepresented.
//  
//      2. Altered versions must be plainly marked as such and must not
//         be misrepresented as being the original source.
//  
//      3. This Copyright notice may not be removed or altered from any
//         source or altered source distribution.
//  
//  The Author specifically permits (without fee) and encourages the use
//  of this source code for entertainment, education, or decoration. If
//  you use this source code in a product, acknowledgment is not required
//  but would be appreciated.
//  
//  Acknowledgement:
//      This license is based on the wonderful simple license that
//      accompanies libpng.
//
//-----------------------------------------------------------------------
//  For more information on this software package, please visit
//  Scott's web site, Coyote Gulch Productions, at:
//
//      http://www.coyotegulch.com
//-----------------------------------------------------------------------

package com.coyotegulch.jisp;

import java.io.*;

class SerialObjectInputStream extends ObjectInputStream
{
    private byte[]  m_buffer;
    private int     m_index;
    private int     m_limit;
    private boolean m_closed;

    public SerialObjectInputStream(ObjectBytesInputStream source) throws IOException
    {
        super(source);
    }

    protected Class resolveClass(ObjectStreamClass osc)
    {
        try
        {
            return Jisp.getClassLoader().loadClass(osc.getName());
        }
        catch(Exception ex)
        {
            return null;
        }
    }
}
